
import java.util.*;
import java.io.*;

class Items extends LinkedList {
 Items(String name) throws IOException {
  readfile(name);
 }
 void readfile(String name) throws IOException {
  clear();
  BufferedReader in = new BufferedReader(new FileReader(name));
  String line;
  while((line = in.readLine()) != null) add(line);
  in.close();
 }
 String find(String item) {
  boolean found = false;
  String match = "* NoMatch";
  for (Iterator i = iterator(); i.hasNext();) {
   String act = (String)i.next();
   if (act.startsWith(item)) {
    if (found) return "* TooManyMatches";
    found = true;
    match = act;
   }
  }
  return match;
 }
 public String toString() {
  StringBuffer buffer = new StringBuffer();
  for (Iterator i = iterator(); i.hasNext();) {
   String act = (String)i.next();
   buffer.append(act);
   buffer.append(" ");
  }
  return buffer.toString();
 }
}

class Matcher {
 public static void main(String[] args) {
  try {
   Items items = new Items("items.txt");
   System.out.println(items.toString());
   BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
   String line;
   while ((line = in.readLine()) != null) {
    if (line.equals("exit")) break;
    System.out.println(items.find(line));
   }
  }
  catch(IOException e) {
   System.out.println(e.getMessage());
  }
 }
}
