
import java.sql.*;
import java.io.*;

public class ReadDB {

    public static void main(String[] args) {
	try {
	    PrintWriter logWriter = new PrintWriter(new FileOutputStream("log.txt"));
	    DriverManager.setLogWriter(logWriter);

	    Class.forName("oracle.jdbc.driver.OracleDriver");
	    System.out.println("driver loaded...");
	    //String url = "jdbc:oracle:oci8:@ORA8i";
	    //String url = "jdbc:oracle:thin:@oracase:1525:ora8i";
	    String url = "jdbc:oracle:thin:@cs:1526:oracle";

	    Connection con = DriverManager.getConnection(url, "ops$valeko", "***");
      	    System.out.println("connected...");

 	    Statement stmt = con.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE,
						 ResultSet.CONCUR_READ_ONLY);
	
	    System.out.println("statement created...");

	    // read values
	    PreparedStatement ps = con.prepareStatement("select image from YourTable where popis = ?");
	    ps.setString(1, "obr.1");
	    ResultSet rs = ps.executeQuery();
	    rs.next();
	    Blob blob = rs.getBlob(1);
	    int len = (int) blob.length();
	    byte[] blobBytes = blob.getBytes(1, len);
	    File file = new File("obr2.jpeg");
	    FileOutputStream fos = new FileOutputStream(file);
	    fos.write(blobBytes);
	    fos.close();
	    
	    // close statement and connection
	    ps.close();
	    con.close();
	}
	catch (FileNotFoundException e) { e.printStackTrace(); }
      	catch (ClassNotFoundException e) { e.printStackTrace(); }
	catch (SQLException e) { e.printStackTrace(); }
	catch (IOException e) { e.printStackTrace(); }
    }
}

