
class Geom {
 private static double linePointDist(double x, double y, double x0, double y0, double x1, double y1) {
  double a = (y0-y1)*x+(x1-x0)*y+(x0*y1-x1*y0);
  double b = Math.sqrt((x1-x0)*(x1-x0)+(y1-y0)*(y1-y0));
  return a/b;
 }
 public static void main(String[] args) {
  if (args.length<6) {
   System.out.println("Not enough parameters\n");
   System.exit(1);
  }
  double dist = linePointDist(
   Double.parseDouble(args[0]), Double.parseDouble(args[1]),
   Double.parseDouble(args[2]), Double.parseDouble(args[3]),
   Double.parseDouble(args[4]), Double.parseDouble(args[5]));
  System.out.println("Result = "+dist+"\n");
 }
}
