
class Point {
 Point(double x,double y) {
  this.x = x; this.y = y;
 }
 Point(String x,String y) {
  this.x = Double.parseDouble(x);
  this.y = Double.parseDouble(y);
 }
 public String toString() {
  return "["+x+","+y+"]";
 }
 double x,y;
}

class Line {
 Line(Point start, Point stop) {
  this.start = start; this.stop = stop;
  this.dx = stop.x - start.x;
  this.dy = stop.y - start.y;
 }
 double dist(Point point) {
  double a = (start.y-stop.y)*point.x+(stop.x-start.x)*point.y+(start.x*stop.y-stop.x*start.y);
  double b = Math.sqrt((stop.x-start.x)*(stop.x-start.x)+(stop.y-start.y)*(stop.y-start.y));
  return a/b;
 }
 Point intersect(Line line) {
  double x = 0;
  double y = 0;
  return new Point(x,y);
 }
 public String toString() {
  return start+"->"+stop;
 }
 Point start,stop;
 private double dx,dy;
}

class Geom {
 public static void main(String[] args) {
  try {
   Point point = new Point(args[0],args[1]);
   Line line = new Line(new Point(args[2],args[3]),new Point(args[4],args[5]));
   System.out.println("Distance = "+line.dist(point));

   Line line1 = new Line(new Point(0,1),new Point(2,0));
   Line line2 = new Line(new Point(1,0),new Point(1,7));
   System.out.println("Intersection = "+line1.intersect(line2));
  }
  catch(ArrayIndexOutOfBoundsException e) {
   System.out.println("Not enough parameters\n");
  }
  catch(NumberFormatException e) {
   System.out.println("Not a number\n");
  }
 }
}
